Package org.jboss.resteasy.jose.i18n

## Class Messages_$bundle

- java.lang.Object
- - org.jboss.resteasy.jose.i18n.Messages_$bundle

- All Implemented Interfaces:
    `Serializable`, `Messages`

      @Generated(value="org.jboss.logging.processor.generator.model.MessageBundleImplementor",
                 date="2021-10-01T14:27:05-0700")
      public class Messages_$bundle
      extends Object
      implements Messages, Serializable

  Warning this class consists of generated code.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Messages_$bundle` | `INSTANCE` |

    - ### Fields inherited from interface org.jboss.resteasy.jose.i18n.Messages

      `BASE, MESSAGES`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Messages_$bundle()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `algorithmOfSharedSymmetricKey()` |
    `protected String` | `algorithmOfSharedSymmetricKey$str()` |
    `String` | `algorithmWasNull()` |
    `protected String` | `algorithmWasNull$str()` |
    `String` | `authenticationTagMustNotBeNull()` |
    `protected String` | `authenticationTagMustNotBeNull$str()` |
    `String` | `cekKeyLengthMismatch​(int length1, int length2)` |
    `protected String` | `cekKeyLengthMismatch$str()` |
    `String` | `cipherTextMustNotBeNull()` |
    `protected String` | `cipherTextMustNotBeNull$str()` |
    `String` | `contentEncryptionKeyLength​(int length, EncryptionMethod method)` |
    `protected String` | `contentEncryptionKeyLength$str()` |
    `String` | `couldNotFindMessageBodyReaderForJSON()` |
    `protected String` | `couldNotFindMessageBodyReaderForJSON$str()` |
    `String` | `couldNotFindMessageBodyWriterForJSON()` |
    `protected String` | `couldNotFindMessageBodyWriterForJSON$str()` |
    `String` | `couldntCompressPlainText​(String message)` |
    `protected String` | `couldntCompressPlainText$str()` |
    `String` | `couldntDecompressPlainText​(String message)` |
    `protected String` | `couldntDecompressPlainText$str()` |
    `String` | `couldntDecryptCEK​(String message)` |
    `protected String` | `couldntDecryptCEK$str()` |
    `String` | `couldntEncryptCEK​(String message)` |
    `protected String` | `couldntEncryptCEK$str()` |
    `String` | `couldntGenerateGCMAuthentication​(String message)` |
    `protected String` | `couldntGenerateGCMAuthentication$str()` |
    `String` | `couldntValidateGCMAuthentication​(String message)` |
    `protected String` | `couldntValidateGCMAuthentication$str()` |
    `String` | `encryptedKeyMustNotBeNull()` |
    `protected String` | `encryptedKeyMustNotBeNull$str()` |
    `String` | `encryptionMethodWasNull()` |
    `protected String` | `encryptionMethodWasNull$str()` |
    `protected Locale` | `getLoggingLocale()` |
    `String` | `illegalBase64UrlString()` |
    `protected String` | `illegalBase64UrlString$str()` |
    `String` | `initializationVectorMustNotBeNull()` |
    `protected String` | `initializationVectorMustNotBeNull$str()` |
    `String` | `invalidHMACkey​(String message)` |
    `protected String` | `invalidHMACkey$str()` |
    `String` | `lengthOfSharedSymmetricKey()` |
    `protected String` | `lengthOfSharedSymmetricKey$str()` |
    `String` | `macCheckFailed()` |
    `protected String` | `macCheckFailed$str()` |
    `String` | `notAMACalgorithm()` |
    `protected String` | `notAMACalgorithm$str()` |
    `String` | `notAnRSAalgorithm()` |
    `protected String` | `notAnRSAalgorithm$str()` |
    `String` | `notEncryptedWithDirAlgorithm()` |
    `protected String` | `notEncryptedWithDirAlgorithm$str()` |
    `String` | `notEncryptedWithRSAalgorithm()` |
    `protected String` | `notEncryptedWithRSAalgorithm$str()` |
    `String` | `parsingError()` |
    `protected String` | `parsingError$str()` |
    `protected Object` | `readResolve()` |
    `String` | `unableToFindMessageBodyWriter()` |
    `protected String` | `unableToFindMessageBodyWriter$str()` |
    `String` | `unableToFindReaderForContentType()` |
    `protected String` | `unableToFindReaderForContentType$str()` |
    `String` | `unexpectedEncryptedKey()` |
    `protected String` | `unexpectedEncryptedKey$str()` |
    `String` | `unknownLength()` |
    `protected String` | `unknownLength$str()` |
    `String` | `unsupportedAlgorithm()` |
    `protected String` | `unsupportedAlgorithm$str()` |
    `String` | `unsupportedCompressionAlgorithm​(CompressionAlgorithm algorithm)` |
    `protected String` | `unsupportedCompressionAlgorithm$str()` |
    `String` | `unsupportedEncryptionMethod()` |
    `protected String` | `unsupportedEncryptionMethod$str()` |
    `String` | `unsupportedHMACalgorithm​(String message)` |
    `protected String` | `unsupportedHMACalgorithm$str()` |
    `String` | `unsupportedJWEalgorithm()` |
    `protected String` | `unsupportedJWEalgorithm$str()` |
    `String` | `unsupportedKeyLength()` |
    `protected String` | `unsupportedKeyLength$str()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final Messages_$bundle INSTANCE

  - ### Constructor Detail

    - #### Messages_$bundle

          protected Messages_$bundle()

  - ### Method Detail

    - #### readResolve

          protected Object readResolve()

    - #### getLoggingLocale

          protected Locale getLoggingLocale()

    - #### algorithmOfSharedSymmetricKey$str

          protected String algorithmOfSharedSymmetricKey$str()

    - #### algorithmOfSharedSymmetricKey

          public final String algorithmOfSharedSymmetricKey()

      Specified by:
        `algorithmOfSharedSymmetricKey` in interface `Messages`

    - #### algorithmWasNull$str

          protected String algorithmWasNull$str()

    - #### algorithmWasNull

          public final String algorithmWasNull()

      Specified by:
        `algorithmWasNull` in interface `Messages`

    - #### authenticationTagMustNotBeNull$str

          protected String authenticationTagMustNotBeNull$str()

    - #### authenticationTagMustNotBeNull

          public final String authenticationTagMustNotBeNull()

      Specified by:
        `authenticationTagMustNotBeNull` in interface `Messages`

    - #### cekKeyLengthMismatch$str

          protected String cekKeyLengthMismatch$str()

    - #### cekKeyLengthMismatch

          public final String cekKeyLengthMismatch​(int length1,
                                                   int length2)

      Specified by:
        `cekKeyLengthMismatch` in interface `Messages`

    - #### cipherTextMustNotBeNull$str

          protected String cipherTextMustNotBeNull$str()

    - #### cipherTextMustNotBeNull

          public final String cipherTextMustNotBeNull()

      Specified by:
        `cipherTextMustNotBeNull` in interface `Messages`

    - #### contentEncryptionKeyLength$str

          protected String contentEncryptionKeyLength$str()

    - #### contentEncryptionKeyLength

          public final String contentEncryptionKeyLength​(int length,
                                                         EncryptionMethod method)

      Specified by:
        `contentEncryptionKeyLength` in interface `Messages`

    - #### couldNotFindMessageBodyReaderForJSON$str

          protected String couldNotFindMessageBodyReaderForJSON$str()

    - #### couldNotFindMessageBodyReaderForJSON

          public final String couldNotFindMessageBodyReaderForJSON()

      Specified by:
        `couldNotFindMessageBodyReaderForJSON` in interface `Messages`

    - #### couldNotFindMessageBodyWriterForJSON$str

          protected String couldNotFindMessageBodyWriterForJSON$str()

    - #### couldNotFindMessageBodyWriterForJSON

          public final String couldNotFindMessageBodyWriterForJSON()

      Specified by:
        `couldNotFindMessageBodyWriterForJSON` in interface `Messages`

    - #### couldntCompressPlainText$str

          protected String couldntCompressPlainText$str()

    - #### couldntCompressPlainText

          public final String couldntCompressPlainText​(String message)

      Specified by:
        `couldntCompressPlainText` in interface `Messages`

    - #### couldntDecompressPlainText$str

          protected String couldntDecompressPlainText$str()

    - #### couldntDecompressPlainText

          public final String couldntDecompressPlainText​(String message)

      Specified by:
        `couldntDecompressPlainText` in interface `Messages`

    - #### couldntDecryptCEK$str

          protected String couldntDecryptCEK$str()

    - #### couldntDecryptCEK

          public final String couldntDecryptCEK​(String message)

      Specified by:
        `couldntDecryptCEK` in interface `Messages`

    - #### couldntEncryptCEK$str

          protected String couldntEncryptCEK$str()

    - #### couldntEncryptCEK

          public final String couldntEncryptCEK​(String message)

      Specified by:
        `couldntEncryptCEK` in interface `Messages`

    - #### couldntGenerateGCMAuthentication$str

          protected String couldntGenerateGCMAuthentication$str()

    - #### couldntGenerateGCMAuthentication

          public final String couldntGenerateGCMAuthentication​(String message)

      Specified by:
        `couldntGenerateGCMAuthentication` in interface `Messages`

    - #### couldntValidateGCMAuthentication$str

          protected String couldntValidateGCMAuthentication$str()

    - #### couldntValidateGCMAuthentication

          public final String couldntValidateGCMAuthentication​(String message)

      Specified by:
        `couldntValidateGCMAuthentication` in interface `Messages`

    - #### encryptedKeyMustNotBeNull$str

          protected String encryptedKeyMustNotBeNull$str()

    - #### encryptedKeyMustNotBeNull

          public final String encryptedKeyMustNotBeNull()

      Specified by:
        `encryptedKeyMustNotBeNull` in interface `Messages`

    - #### encryptionMethodWasNull$str

          protected String encryptionMethodWasNull$str()

    - #### encryptionMethodWasNull

          public final String encryptionMethodWasNull()

      Specified by:
        `encryptionMethodWasNull` in interface `Messages`

    - #### illegalBase64UrlString$str

          protected String illegalBase64UrlString$str()

    - #### illegalBase64UrlString

          public final String illegalBase64UrlString()

      Specified by:
        `illegalBase64UrlString` in interface `Messages`

    - #### initializationVectorMustNotBeNull$str

          protected String initializationVectorMustNotBeNull$str()

    - #### initializationVectorMustNotBeNull

          public final String initializationVectorMustNotBeNull()

      Specified by:
        `initializationVectorMustNotBeNull` in interface `Messages`

    - #### invalidHMACkey$str

          protected String invalidHMACkey$str()

    - #### invalidHMACkey

          public final String invalidHMACkey​(String message)

      Specified by:
        `invalidHMACkey` in interface `Messages`

    - #### lengthOfSharedSymmetricKey$str

          protected String lengthOfSharedSymmetricKey$str()

    - #### lengthOfSharedSymmetricKey

          public final String lengthOfSharedSymmetricKey()

      Specified by:
        `lengthOfSharedSymmetricKey` in interface `Messages`

    - #### macCheckFailed$str

          protected String macCheckFailed$str()

    - #### macCheckFailed

          public final String macCheckFailed()

      Specified by:
        `macCheckFailed` in interface `Messages`

    - #### notAMACalgorithm$str

          protected String notAMACalgorithm$str()

    - #### notAMACalgorithm

          public final String notAMACalgorithm()

      Specified by:
        `notAMACalgorithm` in interface `Messages`

    - #### notAnRSAalgorithm$str

          protected String notAnRSAalgorithm$str()

    - #### notAnRSAalgorithm

          public final String notAnRSAalgorithm()

      Specified by:
        `notAnRSAalgorithm` in interface `Messages`

    - #### notEncryptedWithDirAlgorithm$str

          protected String notEncryptedWithDirAlgorithm$str()

    - #### notEncryptedWithDirAlgorithm

          public final String notEncryptedWithDirAlgorithm()

      Specified by:
        `notEncryptedWithDirAlgorithm` in interface `Messages`

    - #### notEncryptedWithRSAalgorithm$str

          protected String notEncryptedWithRSAalgorithm$str()

    - #### notEncryptedWithRSAalgorithm

          public final String notEncryptedWithRSAalgorithm()

      Specified by:
        `notEncryptedWithRSAalgorithm` in interface `Messages`

    - #### parsingError$str

          protected String parsingError$str()

    - #### parsingError

          public final String parsingError()

      Specified by:
        `parsingError` in interface `Messages`

    - #### unableToFindMessageBodyWriter$str

          protected String unableToFindMessageBodyWriter$str()

    - #### unableToFindMessageBodyWriter

          public final String unableToFindMessageBodyWriter()

      Specified by:
        `unableToFindMessageBodyWriter` in interface `Messages`

    - #### unableToFindReaderForContentType$str

          protected String unableToFindReaderForContentType$str()

    - #### unableToFindReaderForContentType

          public final String unableToFindReaderForContentType()

      Specified by:
        `unableToFindReaderForContentType` in interface `Messages`

    - #### unexpectedEncryptedKey$str

          protected String unexpectedEncryptedKey$str()

    - #### unexpectedEncryptedKey

          public final String unexpectedEncryptedKey()

      Specified by:
        `unexpectedEncryptedKey` in interface `Messages`

    - #### unknownLength$str

          protected String unknownLength$str()

    - #### unknownLength

          public final String unknownLength()

      Specified by:
        `unknownLength` in interface `Messages`

    - #### unsupportedAlgorithm$str

          protected String unsupportedAlgorithm$str()

    - #### unsupportedAlgorithm

          public final String unsupportedAlgorithm()

      Specified by:
        `unsupportedAlgorithm` in interface `Messages`

    - #### unsupportedCompressionAlgorithm$str

          protected String unsupportedCompressionAlgorithm$str()

    - #### unsupportedCompressionAlgorithm

          public final String unsupportedCompressionAlgorithm​(CompressionAlgorithm algorithm)

      Specified by:
        `unsupportedCompressionAlgorithm` in interface `Messages`

    - #### unsupportedEncryptionMethod$str

          protected String unsupportedEncryptionMethod$str()

    - #### unsupportedEncryptionMethod

          public final String unsupportedEncryptionMethod()

      Specified by:
        `unsupportedEncryptionMethod` in interface `Messages`

    - #### unsupportedHMACalgorithm$str

          protected String unsupportedHMACalgorithm$str()

    - #### unsupportedHMACalgorithm

          public final String unsupportedHMACalgorithm​(String message)

      Specified by:
        `unsupportedHMACalgorithm` in interface `Messages`

    - #### unsupportedJWEalgorithm$str

          protected String unsupportedJWEalgorithm$str()

    - #### unsupportedJWEalgorithm

          public final String unsupportedJWEalgorithm()

      Specified by:
        `unsupportedJWEalgorithm` in interface `Messages`

    - #### unsupportedKeyLength$str

          protected String unsupportedKeyLength$str()

    - #### unsupportedKeyLength

          public final String unsupportedKeyLength()

      Specified by:
        `unsupportedKeyLength` in interface `Messages`